org.apache.cassandra.io.compress

## Class CompressedSequentialWriter.CompressedFileWriterMark

- java.lang.Object
- - org.apache.cassandra.io.compress.CompressedSequentialWriter.CompressedFileWriterMark

- All Implemented Interfaces:
    FileMark
  Enclosing class:
    CompressedSequentialWriter

      protected static class CompressedSequentialWriter.CompressedFileWriterMark
      extends java.lang.Object
      implements FileMark

  Class to hold a mark to the position of the file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedFileWriterMark(long chunkOffset, long uncDataOffset, int validBufferBytes, int nextChunkIndex)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedFileWriterMark

          public CompressedFileWriterMark(long chunkOffset,
                                          long uncDataOffset,
                                          int validBufferBytes,
                                          int nextChunkIndex)

Copyright © 2018 The Apache Software Foundation